use std::sync::Arc;

use super::command_base::{CommandDeserializer, DeserializedCommand};

pub const DESERIALIZE_INIT_COMPLETE_RAW_NAME: &str = "InCm";

#[derive(Debug)]
pub struct InitComplete {}

impl DeserializedCommand for InitComplete {
    fn raw_name(&self) -> &'static str {
        DESERIALIZE_INIT_COMPLETE_RAW_NAME
    }

    fn apply_to_state(&self, state: &mut crate::state::AtemState) {
        todo!("Apply to state: Init Complete")
    }
}

#[derive(Default)]
pub struct InitCompleteDeserializer {}

impl CommandDeserializer for InitCompleteDeserializer {
    fn deserialize(&self, buffer: &[u8]) -> std::sync::Arc<dyn DeserializedCommand> {
        Arc::new(InitComplete {})
    }
}
